Skip to content

Get Result Region

client.beta.sheets.getResultTable("table" | "extra" | "cell_metadata"regionType, SheetGetResultTableParams { spreadsheet_job_id, region_id, expires_at_seconds, 2 more } params, RequestOptionsoptions?): PresignedURL { expires_at, url, form_fields }
GET/api/v1/beta/sheets/jobs/{spreadsheet_job_id}/regions/{region_id}/result/{region_type}

Generate a presigned URL to download a specific extracted region. Experimental: This endpoint is not yet ready for production use and is subject to change at any time.

ParametersExpand Collapse
regionType: "table" | "extra" | "cell_metadata"
One of the following:
"table"
"extra"
"cell_metadata"
params: SheetGetResultTableParams { spreadsheet_job_id, region_id, expires_at_seconds, 2 more }
spreadsheet_job_id: string

Path param

region_id: string

Path param

expires_at_seconds?: number | null

Query param

organization_id?: string | null

Query param

formatuuid
project_id?: string | null

Query param

formatuuid
ReturnsExpand Collapse
PresignedURL { expires_at, url, form_fields }

Schema for a presigned URL.

expires_at: string

The time at which the presigned URL expires

formatdate-time
url: string

A presigned URL for IO operations against a private file

minLength1
formaturi
form_fields?: Record<string, string> | null

Form fields for a presigned POST request

Get Result Region

import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

const presignedURL = await client.beta.sheets.getResultTable('table', {
  spreadsheet_job_id: 'spreadsheet_job_id',
  region_id: 'region_id',
});

console.log(presignedURL.expires_at);
{
  "expires_at": "2019-12-27T18:11:19.117Z",
  "url": "https://example.com",
  "form_fields": {
    "foo": "string"
  }
}
Returns Examples
{
  "expires_at": "2019-12-27T18:11:19.117Z",
  "url": "https://example.com",
  "form_fields": {
    "foo": "string"
  }
}